API Explorer 936 endpoints

Get My Consents at Bank

GET /obp/v7.0.0/banks/BANK_ID/my/consents

OBPv5.1.0-getMyConsentsByBank No role required ConsentAccount Information Service (AIS)PSD2

This endpoint gets the Consents created by a current User at the specified Bank.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

1 limit (for pagination: defaults to 50) eg:limit=200

2 offset (for pagination: zero index, defaults to 0) eg: offset=10

3 status (ignore if omitted)

4 sort_by (defaults to created_date:desc) eg: sort_by=created_date:desc

Note: This endpoint only returns consents that explicitly reference the specified BANK_ID. Consents created before the consent_item join table was introduced will not appear in results.

eg: /banks/BANK_ID/my/consents?limit=10&offset=0&sort_by=created_date:desc

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (13)
api_standard
api_standard
api_version
consent_id
9d429899-24f5-42c8-8565-943ffa6a7947
consent_reference_id
fd13b9af-4f74-4d52-a7f1-7c2c12f3aa11
consents
consumer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
created_by_user_id
jwt
eyJhbGciOiJIUzI1NiJ9.eyJlbnRpdGxlbWVudHMiOltdLCJjcmVhdGVkQnlVc2VySWQiOiJhYjY1MzlhOS1iMTA1LTQ0ODktYTg4My0wYWQ4ZDZjNjE2NTciLCJzdWIiOiIyMWUxYzhjYy1mOTE4LTRlYWMtYjhlMy01ZTVlZWM2YjNiNGIiLCJhdWQiOiJlanpuazUwNWQxMzJyeW9tbmhieDFxbXRvaHVyYnNiYjBraWphanNrIiwibmJmIjoxNTUzNTU0ODk5LCJpc3MiOiJodHRwczpcL1wvd3d3Lm9wZW5iYW5rcHJvamVjdC5jb20iLCJleHAiOjE1NTM1NTg0OTksImlhdCI6MTU1MzU1NDg5OSwianRpIjoiMDlmODhkNWYtZWNlNi00Mzk4LThlOTktNjYxMWZhMWNkYmQ1Iiwidmlld3MiOlt7ImFjY291bnRfaWQiOiJtYXJrb19wcml2aXRlXzAxIiwiYmFua19pZCI6ImdoLjI5LnVrLngiLCJ2aWV3X2lkIjoib3duZXIifSx7ImFjY291bnRfaWQiOiJtYXJrb19wcml2aXRlXzAyIiwiYmFua19pZCI6ImdoLjI5LnVrLngiLCJ2aWV3X2lkIjoib3duZXIifV19.8cc7cBEf2NyQvJoukBCmDLT7LXYcuzTcSYLqSpbxLp4
jwt_expires_at
jwt_expires_at
jwt_payload
jwt_payload
last_action_date
last_action_date
last_usage_date
last_usage_date
status
Example success response
{
  "consents": [
    {
      "consent_reference_id": "fd13b9af-4f74-4d52-a7f1-7c2c12f3aa11",
      "consent_id": "9d429899-24f5-42c8-8565-943ffa6a7947",
      "consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "status": "",
      "last_action_date": "2020-01-27",
      "last_usage_date": "2021-04-08T09:12:27Z",
      "jwt": "eyJhbGciOiJIUzI1NiJ9.eyJlbnRpdGxlbWVudHMiOltdLCJjcmVhdGVkQnlVc2VySWQiOiJhYjY1MzlhOS1iMTA1LTQ0ODktYTg4My0wYWQ4ZDZjNjE2NTciLCJzdWIiOiIyMWUxYzhjYy1mOTE4LTRlYWMtYjhlMy01ZTVlZWM2YjNiNGIiLCJhdWQiOiJlanpuazUwNWQxMzJyeW9tbmhieDFxbXRvaHVyYnNiYjBraWphanNrIiwibmJmIjoxNTUzNTU0ODk5LCJpc3MiOiJodHRwczpcL1wvd3d3Lm9wZW5iYW5rcHJvamVjdC5jb20iLCJleHAiOjE1NTM1NTg0OTksImlhdCI6MTU1MzU1NDg5OSwianRpIjoiMDlmODhkNWYtZWNlNi00Mzk4LThlOTktNjYxMWZhMWNkYmQ1Iiwidmlld3MiOlt7ImFjY291bnRfaWQiOiJtYXJrb19wcml2aXRlXzAxIiwiYmFua19pZCI6ImdoLjI5LnVrLngiLCJ2aWV3X2lkIjoib3duZXIifSx7ImFjY291bnRfaWQiOiJtYXJrb19wcml2aXRlXzAyIiwiYmFua19pZCI6ImdoLjI5LnVrLngiLCJ2aWV3X2lkIjoib3duZXIifV19.8cc7cBEf2NyQvJoukBCmDLT7LXYcuzTcSYLqSpbxLp4",
      "jwt_payload": "{\"createdByUserId\":\"user-id\",\"sub\":\"subject\",\"iss\":\"issuer\",\"aud\":\"audience\",\"jti\":\"jwt-id\",\"iat\":1611749820,\"nbf\":1611749820,\"exp\":1611753420,\"request_headers\":[],\"name\":null,\"email\":null,\"entitlements\":[],\"views\":[],\"access\":null}",
      "api_standard": "Berlin Group",
      "api_version": "v1.3",
      "jwt_expires_at": "2021-04-08T09:12:27Z"
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv5.1.0 getMyConsentsByBank Originally /obp/v5.1.0/banks/BANK_ID/my/consents